IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='EST_PROD_ZERAR_DESCONTOS_OFERTA_TEMP_EST_PROD') 
BEGIN
	CREATE TABLE [dbo].[EST_PROD_ZERAR_DESCONTOS_OFERTA_TEMP_EST_PROD](
		[CD_EMP] [int] NOT NULL,
		[CD_CTR] [int] NOT NULL,
		[CD_PROD] [int] NOT NULL,
	 CONSTRAINT [PK_EST_PROD_ZERAR_DESCONTOS_OFERTA_TEMP_EST_PROD] PRIMARY KEY CLUSTERED 
	(
		[CD_EMP] ASC,
		[CD_CTR] ASC,
		[CD_PROD] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 97) ON [PRIMARY]
	) ON [PRIMARY]

	ALTER TABLE [dbo].[EST_PROD_ZERAR_DESCONTOS_OFERTA_TEMP_EST_PROD]  WITH CHECK ADD  CONSTRAINT [FK_EST_PROD_ZERAR_DESCONTOS_OFERTA_TEMP_EST_PROD_EST_PROD] FOREIGN KEY([CD_EMP],[CD_PROD])
	REFERENCES [dbo].[EST_PROD] ([CD_EMP],[CD_PROD])

	ALTER TABLE [dbo].[EST_PROD_ZERAR_DESCONTOS_OFERTA_TEMP_EST_PROD]  WITH CHECK ADD  CONSTRAINT [FK_EST_PROD_ZERAR_DESCONTOS_OFERTA_TEMP_EST_PROD_EST_PROD_ZERAR_DESCONTOS_OFERTA_TEMP] FOREIGN KEY([CD_EMP],[CD_CTR])
	REFERENCES [dbo].[EST_PROD_ZERAR_DESCONTOS_OFERTA_TEMP] ([CD_EMP],[CD_CTR])
END